getMyEarnings
GET
/v1/me/earnings
const url = 'https://testnet-rpc.necter.network/v1/me/earnings?period=24h&group_by=project';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://testnet-rpc.necter.network/v1/me/earnings?period=24h&group_by=project' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”period
string
group_by
string
Responses
Section titled “Responses”Earnings breakdown (per reward token; amounts never summed across tokens)
Media typeapplication/json
object
period
string
totals
Array<object>
object
token
required
object
address
required
Lowercase EVM address
string
symbol
required
string
name
string
decimals
required
integer
amount
required
Token base units
string
units
integer
rows
Array<object>
object
key
Project_id, node_id or YYYY-MM-DD
string
units
integer
amounts
Array<object>
object
token
required
object
address
required
Lowercase EVM address
string
symbol
required
string
name
string
decimals
required
integer
amount
required
Token base units
string
Example generated
{ "period": "example", "totals": [ { "token": { "address": "example", "symbol": "example", "name": "example", "decimals": 1 }, "amount": "example" } ], "units": 1, "rows": [ { "key": "example", "units": 1, "amounts": [ { "token": { "address": "example", "symbol": "example", "name": "example", "decimals": 1 }, "amount": "example" } ] } ]}